#ifndef _CONFIGDLG_H_
#define _CONFIGDLG_H_

#include <qtabdlg.h>
#include "configmanager.h"
#include <qlined.h>
#include <qradiobutton.h>

class DBConfigWidget;
class SUConfigWidget;

class ConfigDialog : public QTabDialog
{
  Q_OBJECT
 public:
  ConfigDialog( QWidget *parent=0, const char *name=0 );
  ~ConfigDialog();

  QLineEdit *getHostPtr(){ return hostEdP; }
  QLineEdit *getUserPtr(){ return userEdP; }
  QLineEdit *getPassPtr(){ return passEdP; }
  QLineEdit *getDBPtr(){ return dbEdP; }

  QRadioButton *getConYesPtr(){ return conYesP; }
  QRadioButton *getLessYesPtr(){ return lessYesP; }
  QRadioButton *getGeoYesPtr(){ return geoYesP; }
  QRadioButton *getSplitYesPtr(){ return splitYesP; }
  QLineEdit *getDirEdPtr(){ return dirEditP; }

 private:
  DBConfigWidget * dbConf;
  SUConfigWidget * suConf;
  QLineEdit * hostEdP;
  QLineEdit * userEdP;
  QLineEdit * passEdP;
  QLineEdit * dbEdP;
  QRadioButton * conYesP;
  QRadioButton * lessYesP;
  QRadioButton * geoYesP;
  QRadioButton * splitYesP;
  QLineEdit * dirEditP;
};

#endif // _CONFIGDLG_H_
