#ifndef _CONFIGMANAGER_H_
#define _CONFIGMANAGER_H_

#include <qwidget.h>

#include "appconf.h"

class ConfigDialog;

class ConfigManager : public QObject
{
  Q_OBJECT
 public:
  ConfigManager( QObject * parent=0 );
  ~ConfigManager();
  const char *getHost() { configParser->setCurrentPath("database"); return configParser->readEntry("host","localhost"); }
  const char *getUser() { configParser->setCurrentPath("database"); return configParser->readEntry("user",""); }
  const char *getPass() { configParser->setCurrentPath("database"); return configParser->readEntry("pass",""); }
  const char *getDBase(){ configParser->setCurrentPath("database"); return configParser->readEntry("database","mysqltutor"); }
  const char *getLessonDir() { configParser->setCurrentPath("lesson"); return configParser->readEntry("lessondir", "./"); }
  const int getLastLesson() const { configParser->setCurrentPath("lesson"); return atoi(configParser->readEntry("lastlesson", "0")); }
  bool getAutoConnect();
  bool getLessonTrack();
  bool getKeepGeom();
  bool getKeepSplit();
  bool getIconStatus();
  //  void showDialog();

 signals:
  //  void configChanged();

 public slots:
  void showDialog();
  void applyPressed();
  
 private:
 FileConfig * configParser;
 ConfigDialog * configDialog;

 // members for setting the database config entries
 void setHostEdit( const char * );
 void setUserEdit( const char * );
 void setPassEdit( const char * );
 void setDBEdit( const char * );

 // members for setting the startup config entries
 void setConButton( bool );
 void setLastLessButton( bool );
 void setGeoKeepButton( bool );
 void setSplitKeepButton( bool );
 void setLessonDirEdit( const char * );
 
};

#endif // _CONFIGMANAGER_H_
