#ifndef _MAINWIDGET_H_
#define _MAINWIDGET_H_

#include <qwidget.h>
#include <qmultilinedit.h>

#include "configmanager.h"

class LessonDisplay;
class ExampleEditor;
class QSplitter;
class SQLTable;

class TutorMainWidget : public QWidget
{
  Q_OBJECT
 public:
  TutorMainWidget( QWidget * parent=0, const char * name=0, ConfigManager *fp=0 );
  ~TutorMainWidget();
  const char * getLessonLabel() { return lessonLabel; }

  SQLTable * getTableHandle();
  QMultiLineEdit * getExampleHandle();
  void loadLessonText( int );

 private slots:
  void fwdlesson();
  void backlesson();
  void toplesson();
  void reloadexample();

 signals:
  void lessonChanged();

 private:
  LessonDisplay * lessonDisp;
  ExampleEditor * explEdit;
  QSplitter * hsplitter;
  QSplitter * vsplitter;
  SQLTable * resultsTable;
  ConfigManager * configParser;
  QString lessonLabel;
  int currentLesson;

  void resizeEvent( QResizeEvent * );
};

#endif // _MAINWIDGET_H_
