#ifndef _SQLTUTOR_H_
#define _SQLTUTOR_H_

#include <qmainwindow.h>
#include <qpixmap.h>
#include <qstring.h>
#include "configmanager.h"

// class QMultiLineEdit;
class TutorMainWidget;
class QToolBar;
class QToolButton;
class QPopupMenu;
class Database;
class DBResult;

class SQLTutorAppWindow : public QMainWindow
{
  Q_OBJECT
 public:
  SQLTutorAppWindow( ConfigManager * );
  ~SQLTutorAppWindow();

  private slots:
  void newlesson();
  void editlesson();
  void dbconnect();
  void dbconfig();
  void runexample();
  void clearexample();
  void clearresults();
  void showhelp();
  void showabout();

  void toggleMenuBar();
  void toggleStatusBar();
  void toggleToolBar();
  void setStatusBar();

 private:
  TutorMainWidget *centerWidget;
  QToolBar *controls;
  QToolButton *connectButton;
  QPopupMenu *appearance;
  QPixmap connectIcon, dconnectIcon;
  Database * sqlDb;
  DBResult* dbres;
  ConfigManager * fParser;
  int mb, tb, sb;
};

#endif // _SQLTUTOR_H_
